/*
 * @Author: Kane
 * @Date: 2023-09-07 15:18:46
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/mybatis/pojo/RewardGainer.java
 * @Description: 获奖人对象
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.mybatis.pojo;

import com.fasterxml.jackson.annotation.JsonProperty;

public class RewardGainer
{
    public RewardGainer()
    {}

    public RewardGainer( int recID, String callerName, String callerCode, int rewardProjectCode,
            String rewardProjectName)
    {
        this.recID = recID;
        this.callerName = callerName;
        this.callerCode = callerCode;
        this.rewardProjectCode = rewardProjectCode;
        this.rewardProjectName = rewardProjectName;
    }

    @Override
    public String toString()
    {
        return "RewardGainer [recID=" + recID + ", callerName=" + callerName + ", callerCode="
                + callerCode + ", rewardProjectCode=" + rewardProjectCode + ", rewardProjectName="
                + rewardProjectName + "]";
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + recID;
        result = prime * result + ((callerName == null) ? 0 : callerName.hashCode());
        result = prime * result + ((callerCode == null) ? 0 : callerCode.hashCode());
        result = prime * result + rewardProjectCode;
        result = prime * result + ((rewardProjectName == null) ? 0 : rewardProjectName.hashCode());
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        RewardGainer other = (RewardGainer) obj;
        if ( recID != other.recID )
            return false;
        if ( callerName == null )
        {
            if ( other.callerName != null )
                return false;
        } else if ( !callerName.equals( other.callerName ) )
            return false;
        if ( callerCode == null )
        {
            if ( other.callerCode != null )
                return false;
        } else if ( !callerCode.equals( other.callerCode ) )
            return false;
        if ( rewardProjectCode != other.rewardProjectCode )
            return false;
        if ( rewardProjectName == null )
        {
            if ( other.rewardProjectName != null )
                return false;
        } else if ( !rewardProjectName.equals( other.rewardProjectName ) )
            return false;
        return true;
    }

    public int getRecID()
    {
        return recID;
    }

    public void setRecID( int recID )
    {
        this.recID = recID;
    }

    public String getCallerName()
    {
        return callerName;
    }

    public void setCallerName( String callerName )
    {
        this.callerName = callerName;
    }

    public String getCallerCode()
    {
        return callerCode;
    }

    public void setCallerCode( String callerCode )
    {
        this.callerCode = callerCode;
    }

    public int getRewardProjectCode()
    {
        return rewardProjectCode;
    }

    public void setRewardProjectCode( int rewardProjectCode )
    {
        this.rewardProjectCode = rewardProjectCode;
    }

    public String getRewardProjectName()
    {
        return rewardProjectName;
    }

    public void setRewardProjectName( String rewardProjectName )
    {
        this.rewardProjectName = rewardProjectName;
    }

    @JsonProperty( "recID" )
    private int recID;

    @JsonProperty( "callerName" )
    private String callerName;

    @JsonProperty( "callerCode" )
    private String callerCode;

    @JsonProperty( "rewardProjectCode" )
    private int rewardProjectCode;

    @JsonProperty( "rewardProjectName" )
    private String rewardProjectName;
}
